Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227500 - Review Request: svnkit - Pure Java Subversion client library
Summary: Review Request: svnkit - Pure Java Subversion client library
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Anthony Green
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-06 14:15 UTC by Robert Marcano
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-06-20 18:20:05 UTC
tbento: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Robert Marcano 2007-02-06 14:15:24 UTC
Spec URL: http://www.marcanoonline.com/downloads/fedora/package_submissions/svnkit/svnkit.spec
SRPM URL: http://www.marcanoonline.com/downloads/fedora/package_submissions/svnkit/svnkit-1.1.1-1.src.rpm
Description:
SVNKit is a pure Java Subversion client library. You would like to use SVNKit
when you need to access or modify Subversion repository from your Java
application, be it a standalone program, plugin or web application. Being a
pure Java program, SVNKit doesn't need any additional configuration or native
binaries to work on any OS that runs Java.

This library is a renamed version of the javasvn package I mantain, I plan to mark it as dead when all dependencies all resolved (currently only eclipse-subclipse)

Comment 1 Anthony Green 2007-03-07 18:47:39 UTC
If this package replaces an differently named one, you should probably follow
the steps outlined here:

http://fedoraproject.org/wiki/Packaging/NamingGuidelines#head-3cfc1ea19d28975faad9d56f70a6ae55661d3c3d

Comment 2 Robert Marcano 2007-04-15 21:43:34 UTC
sorry for the long delay, i was only updating critical updates of my packages
recently...

Updated package
http://www.marcanoonline.com/downloads/fedora/package_submissions/svnkit/svnkit.spec
http://www.marcanoonline.com/downloads/fedora/package_submissions/svnkit/svnkit-1.1.2-1.src.rpm

Comment 3 Robert Marcano 2007-05-11 15:25:29 UTC
Can somebody help to finish this review... TIA

Comment 4 Anthony Green 2007-06-02 00:29:01 UTC
Can you fix or explain the following?

# rpmlint /usr/src/redhat/RPMS/i386/svnkit-1.1.2-1.i386.rpm 
W: svnkit wrong-file-end-of-line-encoding /usr/share/doc/svnkit-1.1.2/README.txt
W: svnkit invalid-license TMate License
W: svnkit obsolete-not-provided javasvn


Comment 5 Robert Marcano 2007-06-04 12:19:50 UTC
(In reply to comment #4)
> Can you fix or explain the following?
> 
> # rpmlint /usr/src/redhat/RPMS/i386/svnkit-1.1.2-1.i386.rpm 
> W: svnkit wrong-file-end-of-line-encoding /usr/share/doc/svnkit-1.1.2/README.txt

I knew i would miss something :-(

> W: svnkit invalid-license TMate License

svnkit is a rename of javasvn, already on the repository, Bug #191015, because
it is just a BSD license with an added clause about the availiablity of the
source code http://svnkit.com/license.html

> W: svnkit obsolete-not-provided javasvn

svnkit replaces javasvn, but it is not 100% compatible with javasvn because jar
filenames are not equals (I still can make a few symlinks but there is not
guarantee the internal classes will be renamed too), quoting the guidelines

"If a package supersedes/replaces an existing package without being a compatible
enough replacement as defined in above, use only the Obsoletes from above."

The only package using javasvn in the Fedora repository is eclipse-subversion,
that i am eager to update


Comment 6 Jason Tibbitts 2007-06-05 18:20:01 UTC
Just setting the fedora-review flag so this doesn't show up in the unreviewed
ticket list.

Comment 7 Tania Bento 2007-06-14 19:03:18 UTC
===========================
Re-starting Review Process:
===========================



***** Items marked with an X need to be fixed. *****

OK - package is named appropriately
 - match upstream tarball or project name
 - try to match previous incarnations in other distributions/packagers for
consistency
 - specfile should be %{name}.spec
 - non-numeric characters should only be used in Release (ie. cvs or
   something)
 - for non-numerics (pre-release, CVS snapshots, etc.), see
   http://fedoraproject.org/wiki/Packaging/NamingGuidelines#PackageRelease
 - if case sensitivity is requested by upstream or you feel it should be
   not just lowercase, do so; otherwise, use all lower case for the name

OK - is it legal for Fedora to distribute this?
 - OSI-approved

OK - license field matches the actual license.

OK - license is open source-compatible.
 - use acronyms for licences where common

OK - specfile name matches %{name}

OK - skim the summary and description for typos, etc.

OK - correct buildroot
 - should be:
   %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

OK - if %{?dist} is used, it should be in that form (note the ? and %
locations)

OK - keep old changelog entries; use judgement when removing (too old?
useless?)

OK - packages meets FHS (http://www.pathname.com/fhs/)


OK - changelog should be in one of these formats:

  * Fri Jun 23 2006 Jesse Keating <jkeating@redhat.com> - 0.6-4
  - And fix the link syntax.

  * Fri Jun 23 2006 Jesse Keating <jkeating@redhat.com> 0.6-4
  - And fix the link syntax.

  * Fri Jun 23 2006 Jesse Keating <jkeating@redhat.com>
  - 0.6-4
  - And fix the link syntax.

OK - Packager tag should not be used

OK - Vendor tag should not be used
 
OK - Distribution tag should not be used

OK - use License and not Copyright 

OK - Summary tag should not end in a period

OK - post and postun javadoc should not exist

OK - if possible, replace PreReq with Requires(pre) and/or Requires(post)

OK - specfile is legible
 - this is largely subjective; use your judgement

OK - package successfully compiles and builds on at least x86

X - BuildRequires are proper
 - builds in mock will flush out problems here
 - the following packages don't need to be listed in BuildRequires:
   bash
   bzip2
   X - coreutils  --> This BR can be deleted.
   cpio
   diffutils
   fedora-release (and/or redhat-release)
   gcc
   gcc-c++
   gzip
   make
   patch
   perl
   redhat-rpm-config
   rpm-build
   sed
   tar
   unzip
   which

OK - summary should be a short and concise description of the package

X - description expands upon summary (don't include installation
instructions)
  --> Description is very vague for javadoc.  If this can be expanded, that
would be great.  If not, I don't think it's a big deal.

OK - make sure lines are <= 80 characters

OK - specfile written in American English

OK - make a -doc sub-package if necessary
 - see
  
http://fedoraproject.org/wiki/Packaging/Guidelines#head-9bbfa57478f0460c6160947a6bf795249488182b

OK - packages including libraries should exclude static libraries if possible

OK - don't use rpath

OK - config files should usually be marked with %config(noreplace)

OK - GUI apps should contain .desktop files

Ok - should the package contain a -devel sub-package?

OK use macros appropriately and consistently
 - ie. %{buildroot} and %{optflags} vs. $RPM_BUILD_ROOT and $RPM_OPT_FLAGS

OK - don't use %makeinstall

OK - locale data handling correct (find_lang)
 - if translations included, add BR: gettext and use %find_lang %{name} at the
   end of %install

OK - consider using cp -p to preserve timestamps

OK - split Requires(pre,post) into two separate lines

OK - package should probably not be relocatable

OK - package contains code
 - see http://fedoraproject.org/wiki/Packaging/Guidelines#CodeVsContent
 - in general, there should be no offensive content

OK - package should own all directories and files

OK - there should be no %files duplicates

OK - file permissions should be okay; %defattrs should be present

OK - if it is a web apps, it should be in /usr/share/%{name} and *not* /var/www

OK - %clean should be present

OK - %doc files should not affect runtime

OK - add gcj support if %BuildArch nnoarch

OK - verify the final provides and requires of the binary RPMs

Ok - rpmlint on <this package>.srpm gives no output
 - justify warnings if you think they shouldn't be there
   --> warning can be ignored.		

X - run rpmlint on the binary RPMs
   --> rpmlint svnkit-1.1.2-1.fc7.i386.rpm
       Only this warning needs to be fixed:  svnkit
wrong-file-end-of-line-encoding /usr/share/doc/svnkit-1.1.2/README.txt, the
others I think can be ignored.
   --> rpmlint svnkit-debuginfo-1.1.2-1.fc7.i386.rpm
       This warning can be ignored.
   --> rpmlint svnkit-javadoc-1.1.2-1.fc7.i386.rpm
       There are a bunch of svnkit-javadoc wrong-file-end-of-line-encoding
warnings that I think need to be fixed.

OK - license text included in package and marked with %doc
    --> license text is not included in this package.

X verify source and patches (md5sum matches upstream, know what the patches do)
 - if upstream doesn't release source drops, put *clear* instructions on
   how to generate the the source drop; ie. 
  # svn export blah/tag blah
  # tar cjf blah-version-src.tar.bz2 blah
   --> I'm getting different md5sums.  Could you kindly just double check this
as well.

OK - package should include license text in the package and mark it with %doc
   --> See note above.

OK - package should build on i386

OK - package should build on mock

Comment 8 Robert Marcano 2007-06-18 15:12:28 UTC
(In reply to comment #7)

>    --> I'm getting different md5sums.  Could you kindly just double check this
> as well.

I downloaded the package again and the md5sums match, maybe your download was
corrupted or some website problem occurred at that time

Updates at

http://www.marcanoonline.com/downloads/fedora/package_submissions/svnkit/svnkit-1.1.2-2.fc7.src.rpm
http://www.marcanoonline.com/downloads/fedora/package_submissions/svnkit/svnkit.spec


Comment 9 Tania Bento 2007-06-18 18:14:01 UTC
(In reply to comment #8)

> I downloaded the package again and the md5sums match, maybe your download was
> corrupted or some website problem occurred at that time

You are right.  Don't know what happened there.  Sorry about that.  

Everything else looks good.

Approved.

Comment 10 Robert Marcano 2007-06-19 13:53:57 UTC
New Package CVS Request
=======================
Package Name: svnkit
Short Description: Pure Java Subversion client library
Owners: robert@marcanoonline.com
Branches: FC-6 F-7
InitialCC: 

Comment 11 Jason Tibbitts 2007-06-19 23:09:31 UTC
CVS done.


Note You need to log in before you can comment on or make changes to this bug.